package cn.com.poc.common.config;


import java.util.Map;

import cn.com.yict.framemax.core.config.Config;
import org.springframework.stereotype.Component;

/**
 * Dify配置属性类，用于管理所有Dify相关的配置
 */
@Component
public class DifyConfigProperties {

    public Map<String, String> getApiKeys() {
        return Config.getStartsWithAndTrim("dify.config.apiKeys.");
    }

    public String getBaseUrl() {
        return Config.get("dify.base.url");
    }

}